<html xmlns:f="http://xsd.helhum.io/ns/typo3/cms-fluid/master/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers">
<f:layout name="General" />

<f:section name="content">
	<f:if condition="{news}">
		<f:then>
			<f:switch expression="{settings.templateLayout}">
				<f:case value="1">
					<f:render section="newsSlider" arguments="{_all}" />
				</f:case>
				<f:case value="2">
					<f:render section="newsDates" arguments="{_all}" />
				</f:case>
				<f:case value="3">
					<f:render section="newsStageImage" arguments="{_all}" />
				</f:case>
				<f:defaultCase>
					<f:render section="newsList" arguments="{_all}" />
				</f:defaultCase>
			</f:switch>
		</f:then>
		<f:else>
			<div class="no-news-found">
				<f:translate key="list_nonewsfound" />
			</div>
		</f:else>
	</f:if>
</f:section>


<!--
	Standard News list
-->
<f:section name="newsList">
	<div class="o-cms-content">
		<div class="o-cms-content__body">
			<div class="c-teaser-list">
				<f:if condition="{settings.hidePagination}">
					<f:then>
						<f:for each="{news}" as="newsItem" iteration="iterator">
							<f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
						</f:for>
					</f:then>
					<f:else>
                        <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                            <f:render partial="List/Item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                        </f:for>
					</f:else>
				</f:if>
			</div>
		</div>
	</div>
</f:section>

<!--
	News slider
-->
<f:section name="newsSlider">
	<section class="c-news-slider   o-section">
		<div class="o-section__wrapper">
			<header class="o-section__header">
				<h2 class="c-news-slider__headline   o-section__headline">
					<f:translate key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:news" />
				</h2>
			</header>

			<div class="c-news-slider__list   o-slider   js-slider" data-slides-to-show="2">

				<f:for each="{news}" as="newsItem" iteration="iterator">
					<f:render
						arguments="{newsItem: newsItem,settings:settings,iterator:iterator}"
						partial="List/SliderItem"
						section="content"/>
				</f:for>

			</div>
		</div>
	</section>
</f:section>

<!--
	News dates
-->
<f:section name="newsDates">
	<section class="c-news-dates o-section">
			<header class="o-section__header">
				<h2 class="c-news-date__headline o-section__headline">
					<f:translate key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:news.event.titel" />
				</h2>
			</header>
			<div class="c-news-dates__list o-date o-gridblock">

				<div class="o-gridblock__item">

				<f:for each="{news}" as="newsItem" iteration="iterator">

					<f:render
							arguments="{newsItem: newsItem,settings:settings,iterator:iterator}"
							partial="List/DateItem"
							section="content"/>
					<f:if condition="{iterator.index} == 2">
				        </div><div class="o-gridblock__item">
					</f:if>

				</f:for>


				</div>
			</div>
	</section>
</f:section>

<!--
	News StageImage
-->
<f:section name="newsStageImage">
	<f:for each="{news}" as="newsItem" iteration="iterator">
		<f:render
				arguments="{newsItem:newsItem,settings:settings,iterator:iterator}"
				partial="List/StageImageItem"
				section="content"/>
	</f:for>
</f:section>
